#!/usr/bin/perl -w

package Source::Repository::Mass::Transform::PassThrough;

use strict;
use warnings;
use String::ShellQuote;
use Source::Repository::Mass::Transform;
our @ISA = qw(Source::Repository::Mass::Transform);

our $originimport="srpmconvert";
#our $parent;

push @Source::Repository::Mass::EXT_OPTS, &RPM::Source::Transform::Getopt::PassThrough::passthrough2({@Source::Repository::Mass::EXT_OPTS}, @RPM::Source::Transform::LONGOPT, @RPM::Source::Transform::EXT_OPTS);

sub process_pair_hook {}

sub process_pair {
    my ($self,$pkgpair,$transaction_name,$transaction_count)=@_;
    my ($originname, $destname)=($pkgpair->originname,$pkgpair->destname);
    my ($origin, $dest)=($pkgpair->origin,$pkgpair->dest);
    my @args;

    # less verbose by 1; assumed verbose=1 is for mass only
    for (my $i=0; $i<$Source::Repository::Mass::verbose-1; $i++) {
	push @args, '--verbose';
    }

    push @args, '--rename', $destname if $destname ne $originname and not $Source::Repository::Mass::Transform::suppress_rename;

    my $OUTDIR = $Source::Repository::Mass::OUTDIR;
    push @args, '--outdir', defined($transaction_name) ? "$OUTDIR/$transaction_name.transaction/".('0' x (5-length($transaction_count))).$transaction_count : $OUTDIR;

#    if ($parent) {
#	push @args, '--parent', $parent;
#    } else {
	push @args, '--parent', $dest->file if $dest;
#    }
    if ($origin) {
	push @args, $origin->file;
    } else {
	print STDERR "ERROR: origin file for $originname not found.\n";
	return;
    }
    push @args, &RPM::Source::Transform::Getopt::PassThrough::cat_options();

    $self->process_pair_hook(\@args, $pkgpair);

    print join(' ',map {shell_quote_best_effort $_} $originimport,@args),"\n";

    (system($originimport,@args)==0) or die "$originimport failed\n";
    print "---*---\n";
}

1;
