#!/usr/bin/perl -w

package Source::Repository::Matcher::DistroMap;

use strict;
use warnings;
use Source::Repository::Mass;
use Source::Repository::Matcher;
use DistroMap 0.11;

our @ISA = qw(Source::Repository::Matcher);

$Source::Repository::Mass::matcher_class=__PACKAGE__;

push @Source::Repository::Matcher::DEST2ORIGIN, \&_dest2origin;
push @Source::Repository::Matcher::ORIGIN2DEST, \&_origin2dest;

$DistroMap::flag_longopt_published=1;
push @Source::Repository::Mass::EXT_OPTS, @DistroMap::LONGOPT;
push @Source::Repository::Mass::EXT_OPTS_USAGE, \&DistroMap::longopt_usage;

sub new {
    my $self=Source::Repository::Matcher::new(@_);
    $self->{-distromap}=DistroMap->new();
    return $self;
}

sub _origin2dest { 
    my ($self,$name)=@_;
    return $self->{-distromap}->unimap_source_origin2dest($name);
}

sub _dest2origin {
    my ($self,$name)=@_;
    return $self->{-distromap}->unimap_source_dest2origin($name);
}

1;
