#!/usr/bin/perl -w

package Source::Repository::Matcher::Prefixator;

use strict;
use warnings;
use Source::Repository::Mass;
use Source::Repository::Matcher;

our @ISA = qw(Source::Repository::Matcher);
our $prefix;

$Source::Repository::Mass::matcher_class=__PACKAGE__;

push @Source::Repository::Matcher::DEST2ORIGIN, \&_dest2origin;
push @Source::Repository::Matcher::ORIGIN2DEST, \&_origin2dest;

sub _origin2dest { 
    my ($self,$name)=@_;
    return $prefix.$name;
}

sub _dest2origin {
    my ($self,$name)=@_;
    $name=~s,^$prefix,,;
    return $name;
}

1;
