package Source::Repository::Tarball;

use strict;
use warnings;

use File::Basename;
use Source::Repository;

our @ISA=qw/Source::Repository/;

sub file2pkg {
    my ($self,$file)=@_;
    return unless $file and -e $file;
    die "Oops: strange file $file" unless $file=~/^(.+)-([\d\.]+)\.(tar(?:\..+)?|tgz|tbz|zip|7z|rar)$/i;
    my $name=basename($1);
    my $version=$2;
    my $archive_suffix=$3;
    return Source::Package->new(
	-name => $name,
	-version => $version,
	-file => $file,
	);
}

1;
